package SLA4;

import com.metamaxim.modelscope.callbacks.Behaviour;
import com.metamaxim.modelscope.callbacks.Instance;

public class NormPeriod extends Behaviour {
	
	public String getCaption()
	{
		String unit = " " + this.getString("Norm Unit");
		return this.getString("Norm Criteria") + " " + Integer.toString( this.getInteger("Norm Value") ) + unit +
				" during a period of " + this.getString("Period Value");
	}

	/**
	 * Utility method to copy Norm Period attribute values from one instance to another.
	 * @param to
	 * @param from
	public static void copyAttributes(Instance to, Instance from)
	{
		to.setString("Norm Period", "Period Value", from.getString("Norm Period", "Period Value"));
		to.setString("Norm Period", "Norm Criteria", from.getString("Norm Period", "Norm Criteria")); 
		to.setInteger("Norm Period", "Norm Value", from.getInteger("Norm Period", "Norm Value"));
		to.setString("Norm Period", "Norm Unit", from.getString("Norm Period", "Norm Unit"));		
	}
	 */
}
