package SLA4;

import com.metamaxim.modelscope.callbacks.Instance;

public class Indicator extends AbstractIndicator {

	@Override
	public Object getIndicatorValue() {
		Instance slaMonitor = this.getInstance("SLA Contract Monitor");
				
		String measurementAttributeName = this.getString("Measurement Attribute");
		
		Instance measurement = this.getLastMeasurement(slaMonitor);
		if (measurement == null)
			return Double.NaN;
		
		return measurement.getInteger(measurementAttributeName);
	}

}
